BB-ACK.CGI(1)

NAME
bb-ack.cgi - Xymon CGI script to acknowledge alerts

SYNOPSIS
bb-ack.cgi?ACTION=action&NUMBER=acknum&DELAY=validity&MESSAGE=text

DESCRIPTION
bb-ack.cgi is invoked as a CGI script via the bb-ack.sh CGI wrapper. bb-ack.cgi is passed a QUERY_STRING environment variable with the ACTION, NUMBER, DELAY and MESSAGE parameters.

PARAMETERS
ACTION is the action to perform. The only supported action is "Ack" to acknowledge an alert. NUMBER is the number identifying the host/service to be acknowledged. It is included in all alert-messages sent out by Xymon. DELAY is the time (in minutes) that the acknowledge is valid. MESSAGE is an optional text which will be shown on the status page while the acknowledgment is active. You can use it to e.g. tell users not to contact you about the problem, or inform them when the problem is expected to be resolved.

OPTIONS

--no-pin
    bb-ack.cgi normally requires the user to enter the acknowledgment code received in an alert message. If you run it with this option, the user will instead get a list of the current non-green statuses, and he may send an acknowledge without knowing the code.

--no-cookies
    Normally, bb-ack.cgi uses a cookie sent by the browser to initially filter the list of hosts presented. If this is not desired, you can turn off this behaviour by calling bb-ack.cgi with the --no-cookies option. This would normally be placed in the CGI_ACK_OPTS setting in hobbitcgi.cfg(5)

--env=FILENAME
    Loads the environment defined in FILENAME before executing the CGI script.

--debug
    Enables debugging output.

FILES

$BBHOME/web/acknowledge_header
    HTML header file for the generated web page

$BBHOME/web/acknowledge_footer
    HTML footer file for the generated web page

$BBHOME/web/acknowledge_form
    Query form displayed when bb-ack.cgi is called with no parameters.

ENVIRONMENT VARIABLES

BBHOME
    Used to locate the template files for the generated web pages.

QUERY_STRING
    Contains the parameters for the CGI script.

BUGS
When using alternate pagesets, hosts will only show up on the acknowledgment page if this is accessed from the primary page in which they are defined. So if you have hosts on multiple pages, they will only be visible for acknowledging from their main page which is not what you would expect.

SEE ALSO
bbgen(1), bb-hosts(5), hobbitserver.cfg(5)